gtkmm: Gtk::FontChooserWidget Class Reference

gtkmm 3.3.14

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::FontChooserWidget Class Reference
Dialogs | Widgets

A dialog box for selecting fonts. More...

Inheritance diagram for Gtk::FontChooserWidget:
[legend]

List of all members.

## Public Member Functions
virtual | ~FontChooserWidget ()
GtkFontChooserWidget* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkFontChooserWidget* | gobj () const
| Provides access to the underlying C GtkObject.
| FontChooserWidget ()
## Related Functions
(Note that these are not member functions.)
Gtk::FontChooserWidget* | wrap (GtkFontChooserWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A dialog box for selecting fonts.

It implements the #GtkFontChooser interface.

To set the font which is initially selected, use set_font_name().

To get the selected font use get_font_name().

To change the text which is shown in the preview area, use set_preview_text().

Since gtkmm 3.2:

## Constructor & Destructor Documentation

virtual Gtk::FontChooserWidget::~FontChooserWidget | ( |  | ) | `[virtual]`

Gtk::FontChooserWidget::FontChooserWidget | ( |  | ) |

## Member Function Documentation

GtkFontChooserWidget* Gtk::FontChooserWidget::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Box.

const GtkFontChooserWidget* Gtk::FontChooserWidget::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Box.

## Friends And Related Function Documentation

Gtk::FontChooserWidget* wrap | ( | GtkFontChooserWidget * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/fontchooserwidget.h